<script>
	export default {
		globalData: {
			//更改此地址时 更改一下地址
			verdate: "2025.02.07.02",
			titleName: "共好",
			/* 汉和 */
			//#ifdef MP-DINGTALK
			appid: '5000000005078905',
			httproot: "http://124.71.73.232", //pm.plm.cn 124.71.73.232
			httpurl: "http://124.71.73.232/mobox3",
			apiport: {
				org: 5101,
				mobox: 5102,
				data: 5103,
				workflow: 5104,
				gungho: 5109,
			}, //webapi服务默认端口
			//#endif
			//#ifdef MP-WEIXIN
			//for wx
			appid: 'wx4c3b3d475887ceac',
			httproot: "https://pm.plm.cn", //pm.plm.cn 124.71.73.232
			httpurl: "https://pm.plm.cn/mobox3",
			apiport: {
				org: 15101,
				mobox: 5102,
				data: 5103,
				workflow: 5104,
				gungho: 15109,
			}, //webapi服务默认端口
			//#endif
			apiurl: {
				org: '',
				mobox: '',
				data: '',
				workflow: '',
				gungho: '',
			}, //webapi服务



			/* 井松 */
			/*//#ifdef MP-DINGTALK
			appid: '5000000006133707',
			//#endif
		
			httproot: "http://gen-song.vip",
			httpurl: "http://gen-song.vip/mobox3",
			apiurl: {
				org: '',
				mobox: '',
				data: '',
				workflow: '',
				gungho: '',
			}, //webapi服务
			
			apiport: {
				org: 15101,
				mobox: 15102,
				data: 15103,
				workflow: 15104,
				gungho: 15109,
			}, //webapi服务默认端口
			 */

			files_flag: "", //文件服务标识
			// apptype: "HangChaTesting",//HangChaTesting 杭叉集团股份有限公司试验检测中心小程序
			apptype: "",
			defaultuserphoto: "/static/userm.png",
			//设备类型,系统名称
			platform: "",
			osName: "",
			deviceId: "",
			//wx.qy  
			qyWx: {
				isWork: false,
				userid: "",
				session_key: "",
			},
			//feishu
			feishu: {
				access_token: ""
			},
			//#ifdef MP-DINGTALK
			dingding: {
				access_token: "",
				authCode: "",
			},
			//#endif

			isPwdLogin: true,
			userInfo: null,
			userdata: null,
			safeAreaHeight: 0,
			safeAreaBottom: 0
		},

		methods: {
			loadSystemInfo() {
				const _this = this
				uni.getSystemInfo({
					success(res) {
						let app = getApp()
						if (!app)
							app = _this
						app.globalData.deviceId = res.deviceId || res.deviceType + "_" + res.osName
						if (res.platform)
							app.globalData.platform = res.platform;
						app.globalData.osName = res.osName;
						if (res.safeAreaInsets)
							app.globalData.safeAreaBottom = res.safeAreaInsets.bottom
						app.globalData.qyWx.isWork = res.environment == 'wxwork';
					}
				})
			}
		},
		onLaunch: function() {
			console.log('onLaunch')
			// #ifdef MP
			this.loadSystemInfo()
			const logs = uni.getStorageSync('logs') || []
			logs.unshift(Date.now())
			uni.setStorageSync('logs', logs)
			if (uni.canIUse("getUpdateManager")) {
				// console.log('App canIUse getUpdateManager')
				const updateManager = uni.getUpdateManager();
				updateManager.onCheckForUpdate(function(res) {
					// console.log('App onCheckForUpdate', res)
					if (res.hasUpdate) {
						// 请求完新版本信息的回调
						updateManager.onUpdateReady(function() {
							uni.showModal({
								title: "更新提示",
								content: "新版本已经准备好，是否重启应用？",
								showCancel: true, // 是否可取消展示取消按钮
								success: function(res) {
									if (res.confirm) {
										// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
										updateManager.applyUpdate();
									}
								},
							});
						});
						updateManager.onUpdateFailed(function() {
							uni.showModal({
								// 新的版本下载失败
								title: "已经有新版本了哟~",
								content: "新版本已经上线啦~，请您删除当前小程序，重新搜索进入哟~",
							});
						});
					}
				})
			}
			// #endif
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		},

	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import "/static/fonts/mobox_sys.css";
	@import "/static/fonts/mobox_user.css";

	.container-fill {
		display: flex;
		height: 100%;
		width: 100%;
		flex-direction: column;
	}

	.uni-panel-safe-bottom {
		display: flex;
		width: 100%;
		height: 0px;
	}
</style>